Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable System.IEquatable<Mono.Unix.Native.FilePosition> A wrapper for the platform-specific .

FilePosition is an alternate mechanism for specifying a location within a file, which can take into account text vs. binary FILE stream differences. It exists to support platforms for which file positions can exceed the size of .

FilePosition wraps unmanaged memory. It contains a finalizer to free this memory, but using is highly recommended to avoid additional GC pressure.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Constructs and initializes a file position instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Frees the wrapped fpos_t instance. This method should be called whenever a FilePosition is no longer needed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.